# Sound Blaster 16 Driver
[DIGI68]
Flags          = _PORT_HEX
DriverName     = sb16snd.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = Int
ProfileDMA     = DmaChannel 
ProfileWParam  = HDmaChannel 
DefaultSettings= 0x220, 0x05, 0x01, 0x01
BaseDriverID   = 0xe015

# Sound Blaster Driver
[DIGI6]
Flags          = _PORT_HEX, _DEF_DMA
DriverName     = sndblst2.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = Int
ProfileDMA     = -1
ProfileWParam  = -1
DefaultSettings= 0x220, 0x05, 0x01, -1
BaseDriverID   = 0xe000

# Sound Blaster Pro Driver
[DIGI66]
Flags          = _PORT_HEX
DriverName     = sb20snd.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = Int
ProfileDMA     = DmaChannel 
ProfileWParam  = -1
DefaultSettings= 0x220, 0x05, 0x01, -1
BaseDriverID   = 0xe000

# Sound Blaster Pro Driver '94
[DIGI67]
Flags          = _PORT_HEX
DriverName     = sbpsnd.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = Int
ProfileDMA     = DmaChannel 
ProfileWParam  = HDmaChannel 
DefaultSettings= 0x220, 0x05, 0x01, -1
BaseDriverID   = 0xe000

# Pro Audio Spectrum
[DIGI64]
Flags          = _PORT_HEX, _DEF_PORT
DriverName     = mvproaud.drv
ProfileHeader  = mvproaud.drv
ProfilePort    = Port
ProfileIrq     = irq
ProfileDMA     = dma
ProfileWParam  = -1
DefaultSettings= 0x388, 0x07, 0x01, -1
BaseDriverID   = 0xe003

# Gravis UltraSound
[DIGId]
Flags          = _PORT_HEX
DriverName     = ultrasnd.drv
ProfileHeader  = ultrasnd.drv
ProfilePort    = port
ProfileIrq     = gf1_int
ProfileDMA     = sample1_dma
ProfileWParam  = -1
DefaultSettings= 0x220, 11, 1, -1
BaseDriverID   = 0xe023

# Microsoft Sound System
[DIGIf]
Flags          = _PORT_HEX
DriverName     = snd16.drv
ProfileHeader  = snd16.drv
ProfilePort    = IOAddress
ProfileIrq     = Interrupt
ProfileDMA     = DMADAC
ProfileWParam  = -1
DefaultSettings= 0x530, 11, 1, -1
BaseDriverID   = 0xe00b
 
# Sound FX Classic
[DIGI13]
Flags          = _PORT_HEX
DriverName     = sfx16.drv
ProfileHeader  = sfx16.drv
ProfilePort    = port
ProfileIrq     = int
ProfileDMA     = dmachannel
ProfileWParam  = -1
DefaultSettings= 0x530, 11, 1, -1
BaseDriverID   = 0xe00b
 
# Sound Blaster AWE32
[MIDI12e]
Flags          = _PORT_HEX, _DEF_IRQ
DIGIID         = -1
DriverName     = sbawe32.drv
ProfileHeader  = sndblst.drv
ProfilePort    = port
ProfileIrq     = -1
ProfileWParam  = -1
DefaultSettings= 0x220, -1, -1, -1
BasePortOffset = 0x400
UseMMEOnAuto   = 0x01 
BaseDriverID   = 0xa008
 
# Sound Blaster 16 FM
[MIDIf]
Flags          = _PORT_HEX, _DEF_IRQ
DIGIID         = -1
DriverName     = sb16fm.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = -1
ProfileWParam  = -1
DefaultSettings= 0x228, -1, -1, -1
BasePortOffset = 0x08
UseMMEOnAuto   = 0x00 
BaseDriverID   = 0xa002
 
# Sound Blaster FM
[MIDI3]
Flags          = _PORT_HEX, _DEF_IRQ, _DIGI_CONNECTED
DIGIID         = 0x06
DriverName     = sndblst2.drv
ProfileHeader  = sndblst.drv
ProfilePort    = Port
ProfileIrq     = -1
ProfileWParam  = -1
DefaultSettings= 0x228, -1, -1, -1
BasePortOffset = 0x08
UseMMEOnAuto   = 0x00 
BaseDriverID   = 0xa002
 
# Sound Blaster MPU-401
[MIDIc9]
Flags          = _PORT_HEX, _DEF_IRQ, _DIGI_CONNECTED
DIGIID         = 0x68
DriverName     = sb16snd.drv
ProfileHeader  = sndblst.drv
ProfilePort    = MidiPort
ProfileIrq     = -1
ProfileWParam  = -1
DefaultSettings= 0x330, -1, -1, -1
BasePortOffset = 0x00
UseMMEOnAuto   = 0x00 
BaseDriverID   = 0xa001
 
# MPU-401
[MIDIa]
Flags          = _PORT_HEX
DIGIID         = -1
DriverName     = mpu401.drv
ProfileHeader  = mpu401.drv
ProfilePort    = port
ProfileIrq     = int
ProfileWParam  = -1
DefaultSettings= 0x330, -1, -1, -1
BasePortOffset = 0x00
UseMMEOnAuto   = 0x01 
BaseDriverID   = 0xa001
 
